MRWTextInternal::Zone::Information Struct Reference

struct used to keep the information of a small zone of MRWTextInternal::Zone More...

## Public Member Functions

| Information ()
| constructor More...

## Public Attributes

MWAWEntry | m_pos
| the file position More...
Vec2l | m_cPos
| the characters positions More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Information const &info)
| operator<< More...

## Detailed Description

struct used to keep the information of a small zone of MRWTextInternal::Zone

## Constructor & Destructor Documentation

MRWTextInternal::Zone::Information::Information | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Information const & | info
| ) |  |

friend

operator<<

## Member Data Documentation

Vec2l MRWTextInternal::Zone::Information::m_cPos

the characters positions

Referenced by MRWText::readTextStruct().

std::string MRWTextInternal::Zone::Information::m_extra

extra data

Referenced by MRWText::readTextStruct().

MWAWEntry MRWTextInternal::Zone::Information::m_pos

the file position

Referenced by MRWText::computeNumPages(), and MRWText::readZone().

The documentation for this struct was generated from the following file:

- MRWText.cxx